import shutil
import os

def backup(path, extension='bak'):
    """Back-ups the specified file and appends a .bak extension (default).

    If the given path is a symbolic link, and not a regular file then
    the contents of the file which the link points to is retrieved and
    written to the back-up file.

    Returns the path to the backup.

    """
    backup_filename = path + '.' + extension

    if os.path.islink(path):
        # Get the path that the link points to.
        path = os.readlink(path)
        
    shutil.copyfile(path, backup_filename)

    return backup_filename
